package jp.mosp.workflow.action;

import jp.mosp.common.MosPAction;
import jp.mosp.common.MosPMenuConst;
import jp.mosp.common.part.StringPart;
import jp.mosp.workflow.vo.ApplicationMenuVo;

public class ApplicationMenuAction extends MosPAction {

	/**
	 * コンストラクタ
	 */
	public ApplicationMenuAction() {
		super();
	}

	public void action() throws Exception {
		// VOの初期化
		ApplicationMenuVo vo = new ApplicationMenuVo(cfg, msg, nam, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());
		// メニューボタン一覧
		String[][] aryApplicationMenu = StringPart.combineArray(
				MosPMenuConst.getApplicationCmdArray(),
				getMosPCodeArray("applicationFunction")
		);
		vo.setFields(aryApplicationMenu);
	}

}
